"""
Author: Michel Peltriaux
Organization: Struktur- und Genehmigungsdirektion Nord, Rhineland-Palatinate, Germany
Contact: michel.peltriaux@sgdnord.rlp.de
Created on: 24.08.21

"""
from django.urls import path
from compensation.views.eco_account_views import *

urlpatterns = [
    path("", index_view, name="acc-index"),
    path('new/', new_view, name='acc-new'),
    path('new/id', new_id_view, name='acc-new-id'),
    path('<id>', detail_view, name='acc-detail'),
    path('<id>/log', log_view, name='acc-log'),
    path('<id>/record', record_view, name='acc-record'),
    path('<id>/report', report_view, name='acc-report'),
    path('<id>/edit', edit_view, name='acc-edit'),
    path('<id>/remove', remove_view, name='acc-remove'),
    path('<id>/state/new', state_new_view, name='acc-new-state'),
    path('<id>/action/new', action_new_view, name='acc-new-action'),
    path('<id>/deadline/new', deadline_new_view, name="acc-new-deadline"),

    # Documents
    path('<id>/document/new/', new_document_view, name='acc-new-doc'),
    path('document/<doc_id>', get_document_view, name='acc-get-doc'),
    path('document/<doc_id>/remove/', remove_document_view, name='acc-remove-doc'),

    # Eco-account deductions
    path('<id>/remove/<deduction_id>', deduction_remove_view, name='deduction-remove'),
    path('<id>/deduct/new', new_deduction_view, name='acc-new-deduction'),

]