"""
Author: Michel Peltriaux
Organization: Struktur- und Genehmigungsdirektion Nord, Rhineland-Palatinate, Germany
Contact: michel.peltriaux@sgdnord.rlp.de
Created on: 24.08.21

"""
from django.urls import path
from compensation.views.compensation_views import *

urlpatterns = [
    # Main compensation
    path("", index_view, name="index"),
    path('new/id', new_id_view, name='new-id'),
    path('new/<intervention_id>', new_view, name='new'),
    path('new', new_view, name='new'),
    path('<id>', detail_view, name='detail'),
    path('<id>/log', log_view, name='log'),
    path('<id>/edit', edit_view, name='edit'),
    path('<id>/remove', remove_view, name='remove'),
    path('<id>/state/new', state_new_view, name='new-state'),
    path('<id>/action/new', action_new_view, name='new-action'),
    path('<id>/deadline/new', deadline_new_view, name="new-deadline"),
    path('<id>/report', report_view, name='report'),

    # Documents
    path('<id>/document/new/', new_document_view, name='new-doc'),
    path('document/<doc_id>', get_document_view, name='get-doc'),
    path('document/<doc_id>/remove/', remove_document_view, name='remove-doc'),

    # Generic state routes
    path('state/<id>/remove', state_remove_view, name='state-remove'),

    # Generic action routes
    path('action/<id>/remove', action_remove_view, name='action-remove'),

]