"""
Author: Michel Peltriaux
Organization: Struktur- und Genehmigungsdirektion Nord, Rhineland-Palatinate, Germany
Contact: michel.peltriaux@sgdnord.rlp.de
Created on: 22.07.21

"""
from django.contrib import admin

from konova.models import Geometry, Deadline


class GeometryAdmin(admin.ModelAdmin):
    list_display = [
        "id",
        "created",
    ]


class AbstractDocumentAdmin(admin.ModelAdmin):
    list_display = [
        "id",
        "title",
        "comment",
        "created",
    ]


class DeadlineAdmin(admin.ModelAdmin):
    list_display = [
        "id",
        "type",
        "date",
        "comment",
    ]


admin.site.register(Geometry, GeometryAdmin)
admin.site.register(Deadline, DeadlineAdmin)
